Reinforcement HelicalRebar/it: Difference between revisions

From FreeCAD Documentation
(Created page with "== Utilizzo ==")
(Created page with "# Creare un elemento Struttura # Selezionare una qualsiasi faccia della struttura # Selezionare {{KEY|16px Armatura eli...")
Line 9: Line 9:
== Utilizzo ==
== Utilizzo ==


# Create a [[Arch Structure|structure]] element
# Creare un elemento [[Arch Structure/it|Struttura]]
# Selezionare una qualsiasi faccia della struttura
# Select any face of the structure
# Then select {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Helical Rebar}} from the rebar tools
# Selezionare {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Armatura elicoidale}} dagli strumenti Armatura
# A task panel will pop-out on the left side of the screen as shown below [[Image:HelicalRebarDialog.png|250px]]
# Sul lato sinistro dello schermo appare un pannello delle azioni come il seguente [[Image:HelicalRebarDialog.png]]
# Selezionare l'orientamento desiderato
# Select the desired orientation
# Give the inputs like front cover, right side cover, left side cover, bottom cover and diameter of the rebar
# Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
# Selezionare la modalità di distribuzione per la quantità e per la spaziatura
# Select the mode of distribution either amount or spacing
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Se la spaziatura è selezionata, l'utente può anche optare per una [[Custom_Spacing/it|spaziatura personalizzata]]
# Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura
# Pick selected face is used to verify or change the face for rebar distribution
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Cliccare {{KEY|OK}} o {{KEY|Apply}} per generare l'armatura
# Click {{KEY|Cancel}} to exit the task panel
# Cliccare {{KEY|Cancel}} per uscire dal pannello delle azioni


==Properties==
==Properties==

Revision as of 09:49, 11 February 2018

Armatura elicoidale

Posizione nel menu
Arch → Rebar tools
Ambienti
Arch
Avvio veloce
None
Vedere anche
Armatura, Armatura a U, Armatura dritta, Armatura a L, Armatura sagomata, Staffe armatura
 
Questo comando fa parte del Addon Reinforcement, che è possibile installare tramite il menu Strumenti → Addons Manager

Descrizione

Lo strumento Armatura elicoidale crea una armatura elicoidale in un elemento strutturale selezionato.

Utilizzo

  1. Creare un elemento Struttura
  2. Selezionare una qualsiasi faccia della struttura
  3. Selezionare Armatura elicoidale dagli strumenti Armatura
  4. Sul lato sinistro dello schermo appare un pannello delle azioni come il seguente
  5. Selezionare l'orientamento desiderato
  6. Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
  7. Selezionare la modalità di distribuzione per la quantità e per la spaziatura
  8. Se la spaziatura è selezionata, l'utente può anche optare per una spaziatura personalizzata
  9. Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura
  10. Cliccare OK o Apply per generare l'armatura
  11. Cliccare Cancel per uscire dal pannello delle azioni

Properties

  • DatiSide Cover: The distance between rebar to the curved face.
  • DatiTop Cover: The distance between rebar from the top face of the structure.
  • DatiBottom Cover: The distance between rebar from the bottom face of the structure.
  • DatiPitch: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
  • DatiDiameter: Diameter of the rebar.

Scripting

The Helical Rebar tool can by used in macros and from the python console by using the following function:

makeHelicalRebar(SideCover, BottomCover, Diameter, TopCover, Pitch, Structure, Facename)
  • Adds a Straight reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example:

Creating Helical rebar.

import Arch, Draft, HelicalRebar
# Creating circle
pl=FreeCAD.Placement()
pl.Rotation.Q=(0.0,-0.0,-0.0,1.0)
pl.Base=FreeCAD.Vector(-1.0,-1.0,0.0)
circle = Draft.makeCircle(radius=130.107647738,placement=pl,face=True,support=None)
Draft.autogroup(circle)
# Creating Structure element from circle
structure = Arch.makeStructure(circle)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
# Creating Helical rebar
rebar = HelicalRebar.makeHelicalRebar(20, 50, 8, 50, 50, structure, "Face2")

Changing properties of Helical rebar.

import HelicalRebar
HelicalRebar.editHelicalRebar(rebar, 20, 100, 12, 100, 100)